/*
 * Based on KnaCSS 8
 * https://github.com/alsacreations/KNACSS/blob/v8.0.4/sass/base/_reset-accessibility.scss
 * @license WTFPL https://github.com/alsacreations/KNACSS/blob/v8.0.4/LICENSE
 */

// Disable animations styles when reduced motion is enabled
// stylelint-disable scss/media-feature-value-dollar-variable
@media (prefers-reduced-motion: reduce) {
  * {
    // stylelint-disable declaration-no-important
    animation: none !important;
    transition: none !important;
    // stylelint-enable declaration-no-important
  }
}
// stylelint-enable scss/media-feature-value-dollar-variable

// Change the cursor on busy elements in all browsers.
[aria-busy='true'] {
  cursor: progress;
}

// Change the cursor on control elements in all browsers.
[aria-controls] {
  cursor: pointer;
}

// Change the cursor on disabled, not-editable, or otherwise
// inoperable elements in all browsers.
[aria-disabled='true'],
[disabled] {
  cursor: not-allowed;
}

// Change the display on visually hidden accessible elements
// in all browsers.
[aria-hidden='false'][hidden] {
  display: initial;
}

[aria-hidden='false'][hidden]:not(:focus) {
  position: absolute;
  clip: rect(0, 0, 0, 0);
}
